Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.readers
Interface XMLEntityHandler.CharDataHandler

All Known Implementing Classes:
  XMLValidator

Enclosing class:
  XMLEntityHandler

public static interface XMLEntityHandler.CharDataHandler

Interface for passing character data.

Method Summary
`void` | `processCharacters(char[] chars, int offset, int length)` Process character data, character array version
`void` | `processCharacters(int stringHandle)` Process character data, `StringPool` handle version
`void` | `processWhitespace(char[] chars, int offset, int length)` Process white space data, character array version
`void` | `processWhitespace(int stringHandle)` Process white space data, `StringPool` handle version

Method Detail

### processCharacters

    public void processCharacters(char[] chars,
                                  int offset,
                                  int length)
                           throws java.lang.Exception

  Process character data, character array version
  Parameters:
    `chars` - character buffer to be processed
    `offset` - offset in buffer where the data starts
    `length` - length of characters to be processed
  Throws:
    java.lang.Exception -

### processCharacters

    public void processCharacters(int stringHandle)
                           throws java.lang.Exception

  Process character data, `StringPool` handle version
  Parameters:
    `stringHandle` - `StringPool` handle to the character data
  Throws:
    java.lang.Exception -

### processWhitespace

    public void processWhitespace(char[] chars,
                                  int offset,
                                  int length)
                           throws java.lang.Exception

  Process white space data, character array version
  Parameters:
    `chars` - character buffer to be processed
    `offset` - offset in buffer where the data starts
    `length` - length of whitespace to be processed
  Throws:
    java.lang.Exception -

### processWhitespace

    public void processWhitespace(int stringHandle)
                           throws java.lang.Exception

  Process white space data, `StringPool` handle version
  Parameters:
    `stringHandle` - `StringPool` handle to the whitespace
  Throws:
    java.lang.Exception -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.